Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | Related Functions | List of all members
ranges::actions::take_while_fn Struct Reference

## Public Member Functions
template<typename Fun > requires (!range<Fun>)
constexpr auto | operator() (Fun fun) const
template<typename Rng , typename Fun > requires forward_range<Rng> && erasable_range<Rng &, iterator_t<Rng>, sentinel_t<Rng>> && indirect_unary_predicate<Fun, iterator_t<Rng>>
Rng | operator() (Rng &&rng, Fun fun) const

## Related Functions
(Note that these are not member functions.)
constexpr take_while_fn | take_while {}